TermSpans (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.spans.TermSpans class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spans
Class TermSpans

    java.lang.Object
      org.apache.lucene.search.spans.TermSpans

All Implemented Interfaces:
  PayloadSpans, Spans

    public class TermSpans

extends Object
implements PayloadSpans

Expert: Public for extension only

Field Summary
`protected int` | `count`
`protected int` | `doc`
`protected int` | `freq`
`protected int` | `position`
`protected TermPositions` | `positions`
`protected Term` | `term`

Constructor Summary
`TermSpans(TermPositions positions, Term term)`

Method Summary
`int` | `doc()` Returns the document number of the current match.
`int` | `end()` Returns the end position of the current match.
`Collection` | `getPayload()` Returns the payload data for the current span.
`TermPositions` | `getPositions()`
`boolean` | `isPayloadAvailable()` Checks if a payload can be loaded at this position.
`boolean` | `next()` Move to the next match, returning true iff any such exists.
`boolean` | `skipTo(int target)` Skips to the first match beyond the current, whose document number is greater than or equal to target.
`int` | `start()` Returns the start position of the current match.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### positions

    protected TermPositions positions

### term

    protected Term term

### doc

    protected int doc

### freq

    protected int freq

### count

    protected int count

### position

    protected int position

Constructor Detail

### TermSpans

    public TermSpans(TermPositions positions,
                     Term term)
              throws IOException

Throws:
  `IOException`

Method Detail

### next

    public boolean next()
                 throws IOException

  Description copied from interface: `Spans`
  Move to the next match, returning true iff any such exists.

  Specified by:
    `next` in interface `Spans`
  Throws:
    `IOException`

### skipTo

    public boolean skipTo(int target)
                   throws IOException

  Description copied from interface: `Spans`
  Skips to the first match beyond the current, whose document number is greater than or equal to target.

  Returns true iff there is such a match.

  Behaves as if written:

         boolean skipTo(int target) {
           do {
             if (!next())
                   return false;
           } while (target > doc());
           return true;
         }

  Most implementations are considerably more efficient than that.

  Specified by:
    `skipTo` in interface `Spans`
  Throws:
    `IOException`

### doc

    public int doc()

  Description copied from interface: `Spans`
  Returns the document number of the current match. Initially invalid.

  Specified by:
    `doc` in interface `Spans`

### start

    public int start()

  Description copied from interface: `Spans`
  Returns the start position of the current match. Initially invalid.

  Specified by:
    `start` in interface `Spans`

### end

    public int end()

  Description copied from interface: `Spans`
  Returns the end position of the current match. Initially invalid.

  Specified by:
    `end` in interface `Spans`

### getPayload

    public Collection getPayload()
                          throws IOException

  Description copied from interface: `PayloadSpans`
  Returns the payload data for the current span. This is invalid until `Spans.next()` is called for the first time. This method must not be called more than once after each call of `Spans.next()`. However, payloads are loaded lazily, so if the payload data for the current position is not needed, this method may not be called at all for performance reasons.
  Note that the return type is a collection, thus the ordering should not be relied upon.

  WARNING: The status of the Payloads feature is experimental. The APIs introduced here might change in the future and will not be supported anymore in such a case.

  Specified by:
    `getPayload` in interface `PayloadSpans`
  Returns:
    a List of byte arrays containing the data of this payload, otherwise null if isPayloadAvailable is false
  Throws:
    `IOException`

### isPayloadAvailable

    public boolean isPayloadAvailable()

  Description copied from interface: `PayloadSpans`
  Checks if a payload can be loaded at this position.

  Payloads can only be loaded once per call to `Spans.next()`.

  WARNING: The status of the Payloads feature is experimental. The APIs introduced here might change in the future and will not be supported anymore in such a case.

  Specified by:
    `isPayloadAvailable` in interface `PayloadSpans`
  Returns:
    true if there is a payload available at this position that can be loaded

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getPositions

    public TermPositions getPositions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.